# Generated by Django 5.0.3 on 2025-02-20 10:20

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Bank',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('organisation_type', models.CharField(choices=[('Individual', 'Individual'), ('Company', 'Company')], max_length=50)),
                ('organisation_name', models.CharField(blank=True, max_length=255, null=True)),
                ('full_name', models.CharField(blank=True, max_length=255, null=True)),
                ('mobile_number', models.CharField(blank=True, max_length=15, null=True)),
                ('event_type', models.CharField(choices=[('offline', 'Offline'), ('online', 'Online')], default='offline', max_length=20)),
                ('pan_number', models.CharField(max_length=15)),
                ('address', models.TextField()),
                ('gstin_status', models.CharField(choices=[('Yes', 'Yes'), ('No', 'No')], max_length=10)),
                ('gst_number', models.CharField(blank=True, max_length=20, null=True)),
                ('email', models.EmailField(max_length=254)),
                ('beneficiary_name', models.CharField(max_length=255)),
                ('account_number', models.CharField(max_length=20)),
                ('ifsc_code', models.CharField(max_length=15)),
                ('title', models.CharField(max_length=255)),
                ('overview', models.TextField()),
                ('location', models.CharField(max_length=255)),
                ('amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('total_tickets', models.PositiveIntegerField()),
                ('available_tickets', models.PositiveIntegerField(default=0)),
                ('event_category', models.CharField(blank=True, max_length=100, null=True)),
                ('event_date', models.DateField()),
                ('event_time', models.TimeField()),
                ('upload_pan', models.FileField(upload_to='uploads/pan/')),
                ('upload_cancelled_cheque', models.FileField(upload_to='uploads/cancelled_cheques/')),
                ('thumbnail', models.ImageField(blank=True, null=True, upload_to='uploads/thumbnails/')),
                ('status', models.IntegerField(default=1)),
                ('bank', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='events', to='event.bank')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='events', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Booking',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ticket_count', models.PositiveIntegerField()),
                ('amount_paid', models.DecimalField(decimal_places=2, max_digits=10)),
                ('transaction_id', models.CharField(blank=True, max_length=255, null=True)),
                ('payment_status', models.CharField(choices=[('success', 'Success'), ('failed', 'Failed')], max_length=10)),
                ('qr_code', models.ImageField(blank=True, null=True, upload_to='uploads/qrcodes/')),
                ('booking_id', models.CharField(max_length=20, unique=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bookings', to=settings.AUTH_USER_MODEL)),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bookings', to='event.event')),
            ],
        ),
    ]
